Album: Crea
Artists:
- Clark Powell
Date: May 2, 2014
Date Added: February 1, 2025
URLs:
- https://soundcloud.com/plazmataz/sets/crea
Cover Artists:
- Kelley McMorris
Cover Art File Extension: jpg
Wallpaper File Extension: png
Wallpaper Artists:
- Kelley McMorris
Color: '#92c76d'
Groups:
- Clark Powell
- Beyond
---
Track: Bedrock
Duration: '02:54'
URLs:
- https://soundcloud.com/plazmataz/bedrock
---
Track: Quest
Duration: '05:24'
URLs:
- https://soundcloud.com/plazmataz/quest
---
Track: Foundation
Duration: '02:18'
URLs:
- https://soundcloud.com/plazmataz/foundation
---
Track: Improvised Tool
Duration: '02:29'
URLs:
- https://soundcloud.com/plazmataz/improvised-tool
---
Track: Sunny
Duration: '01:57'
URLs:
- https://soundcloud.com/plazmataz/sunny
---
Track: Knoll
Duration: '03:06'
URLs:
- https://soundcloud.com/plazmataz/knoll
---
Track: Bird
Duration: '03:58'
URLs:
- https://soundcloud.com/plazmataz/bird
---
Track: Greenlight Trailer (promo)
Duration: '00:42'
URLs:
- https://soundcloud.com/plazmataz/greenlight-trailer-promo
---
Track: Sano
Date First Released: June 14, 2014
Duration: '02:30'
Cover Artists:
- Crea
URLs:
- https://soundcloud.com/plazmataz/sano
Commentary: |-
    <i>Clark Powell:</i>
    From the PC game Crea store.steampowered.com/app/280520/
